Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.https
Class JdkSSLAdapter

    java.lang.Object
      weblogic.wsee.connection.transport.https.JdkSSLAdapter

All Implemented Interfaces:
  SSLAdapter

    public class JdkSSLAdapter

extends Object
implements SSLAdapter

Constructor Summary
`JdkSSLAdapter()`

Method Summary
`HttpsURLConnection` | `openConnection(URL url, Proxy proxy, weblogic.wsee.connection.transport.TransportInfo info)` This method is called by Server Internal Implementaion on the implementation class of this interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.wsee.connection.transport.https.SSLAdapter
`setClientCert, setKeystore`

Constructor Detail

### JdkSSLAdapter

    public JdkSSLAdapter()

Method Detail

### openConnection

    public HttpsURLConnection openConnection(URL url,
                                             Proxy proxy,
                                             weblogic.wsee.connection.transport.TransportInfo info)
                                      throws IOException

  Description copied from interface: `SSLAdapter`
  This method is called by Server Internal Implementaion on the implementation class of this interface. during the WSDL/Webservice invocation call

  Specified by:
    `openConnection` in interface `SSLAdapter`
  Parameters:
    `url` - URL object which represents the end point.
    `proxy` - Proxy object which represents proxy server's details.
  Returns:
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD